<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Dozent\KursUebersicht\Detailsreiter\Termine\TerminAbsagen;

class TerminAbsagenController extends \Kufer\Web\KuferTools\Basis\Controller\ToolController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new TerminAbsagenUseCase(
      $this->getRequestObj()
    );
  }

  protected function getRequestObj()
  {
    $requestObj = new TerminAbsagenRequest();
    $requestObj->knr = \GetOperations::getVarValue('knr');
    $requestObj->terminNummern = \RequestOperations::getVarValue('kurstag', array());

    return $requestObj;
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new TerminAbsagenPresenter($pUseCaseResponse);
  }
}